$ORIGIN {{ item }}.
$TTL {{ dns_ttl }}

{{ item }}. IN SOA {{ inventory_hostname }}. {{ inventory_hostname }}. ( {{ ansible_managed }} {{ dns_ttl }} {{ dns_ttl }} {{ dns_ttl }} {{ dns_ttl }} );

; Nameservers.  A DNS resolver is going to pick one of these at random.
{% for node in ansible_play_hosts_all %}
@ IN NS ns{{ loop.index }}.{{ sutty }}.
@ IN NS ns{{ ansible_play_hosts_all | length() + loop.index }}.{{ sutty }}.
{% endfor %}

; The glue allows to solve nameservers located on the same domain.  They
; are added on the registrar side but we put them here to not forget
; they're needed.
{% for node in ansible_play_hosts_all %}
ns{{ loop.index }} IN A {{ hostvars[node].ansible_host }}
ns{{ ansible_play_hosts_all | length() + loop.index }} IN A {{ hostvars[node].ansible_host }}
{% endfor %}

; Point to the proxy server
;
; TODO: Make it configurable.
@ IN A 5.161.236.18
* IN A 5.161.236.18

; Certificate issuing is limited to Let's Encrypt.
@ IN CAA 0 issue "letsencrypt.org"
* IN CAA 0 issue "letsencrypt.org"

; ACME dns01 challenges are solved by the server itself.
_acme-challenge IN A 5.161.236.18
_acme-challenge IN NS _acme-challenge

; Forward ACME challenges to the server, so certbot can run dns01 with
; the DNS standalone module.
